List repository permissions
GET
https://api.vercel.com/v1/vcr/repository/{idOrName}/permissionsList the teams a VCR repository is shared with.
https://api.vercel.com/v1/vcr/repository/{idOrName}/permissions
const response = await fetch('https://api.vercel.com/v1/vcr/repository/idOrName/permissions?projectId=string&limit=123&cursor=string&teamId=string&slug=string', { method: 'GET', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', },});
const data = await response.json();console.log(data);Response
{ "nextCursor": "string", "permissions": [ { "createdAt": "2026-06-30T10:00:00.000Z", "repositoryId": "repo_a1b2c3d4e5f6", "teamId": "team_a1b2c3d4e5f6", "teamSlug": "my-team" } ]}AuthorizationbearerToken
Default authentication mechanism
Project ID or name (slug) within the authenticated team. IDs take precedence over names. Missing or empty values return HTTP 400.
400One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
410Error